package com.hzs.member.statis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.statis.CuBonusVertexStatis;
import com.hzs.member.statis.vo.CuBonusVertexStaticTotalVO;
import com.hzs.member.statis.vo.CuBonusVertexStatisVO;

import java.util.List;

/**
 * 奖金拨比零线统计 服务类
 */
public interface ICuBonusVertexStatisService extends IService<CuBonusVertexStatis> {

    /**
     * 奖金拨比列表
     **/
    List<CuBonusVertexStatisVO> queryCuBonusStatis(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询顶点奖金拨比汇总
     **/
    List<CuBonusVertexStaticTotalVO> queryCuBonusStatisTotal(CuBonusVertexStaticTotalVO cuBonusVertexStaticTotalVO);

    /**
     * 查询顶点奖金拨比汇总总和（最后一行）
     **/
    CuBonusVertexStaticTotalVO queryCuBonusStatisSum(CuBonusVertexStaticTotalVO cuBonusVertexStaticTotalVO);

    /**
     * 查询时间内奖金拨比顶点会员
     **/
    List<CuBonusVertexStaticTotalVO> queryCuBonusVertex(CuBonusVertexStaticTotalVO cuBonusVertexStaticTotalVO);

    /**
     * 查询顶点拓展封顶人数
     **/
    CuBonusVertexStaticTotalVO queryOrgTopNumber(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询顶点拓展平均碰次和拓展最高碰次
     **/
    CuBonusVertexStaticTotalVO queryTouch(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 奖金拨比列表统计小计（最后一行）
     **/
    CuBonusVertexStatisVO queryCuBonusSumStatis(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 7天重算顶点奖金拨比统计
     **/
    Boolean anewStatisHistoryBonus(String startDate, String endDate);

    /**
     * 删除奖金拨比统计表数据
     **/
    Boolean delStatis(String startDate, String endDate, List<Integer> pkVertexList);

    /**
     * 查询奖金扣项配置参数
     **/
    List<CuBonusVertexStatisVO> bonusDeductlist(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询中国奖金
     **/
    List<CuBonusVertexStatisVO> queryChinaCountryBonus(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询生效国外国家列表
     **/
    List<CuBonusVertexStatisVO> countrylist(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询所有体系
     **/
    List<CuBonusVertexStatisVO> vertexList(Integer pkVertex);

}
